Subject: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Oleh Krehel <[email-masked]>
Date: Fri, 22 May 2015 16:20:31 +0200

Eli Zaretskii <[email-masked]> writes:

> Like this:
>
>   it->max_ascent = max (it->max_ascent, it->ascent);
>   it->max_descent = max (it->max_descent, it->descent);
>
> IOW, it's the max value of ascent and descent of all the characters on
> that screen line.

OK, I got this far:

    p FACE_FROM_ID(it->f,it->face_id)->font->ascent
    $18 = 15
    (gdb) p FACE_FROM_ID(it->f,it->face_id)->font->descent
    $19 = 4

15 and 4 are the eventual (wrong) values of it->max_ascent and
it->max_descent. But I don't know how and where the font structure is
initialized and how the current glyph actually is factored here: I just
see a reference to a frame and a face, no reference to the current char.